Manage Permission for Manual Access to Database (v1)
Use this API to manage permission for manual access to database by Oracle. For more control over Oracle access to your data, refer to Using Break Glass to Control Access in Getting Started Guide for Administrators.
Required Roles
Service Administrator
REST Resource
PUT /interop/rest/{api_version}/services/dataaccess?accessType={allow|revoke}&disableEmergencyAccess={true|false}
Request
Supported Media Types: application/json
Table 2-268 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
accessType |
Allow or revoke the manual access to database by Oracle, where
the value can be allow or
revoke |
Query | Yes | None |
disableEmergencyAccess |
Whether to prohibit all manual access to the database. The possible values are
true and false. Setting this
parameter value to true stops Oracle from manually
accessing the database even if a service request is open. If you set
this parameter to true, Oracle cannot access the
database if access is required to troubleshoot and fix a down
environment. If the environment is down, you will not be able to
issue this REST API to allow Oracle to manually access the
database.
|
Query | No | False |
Response
Table 2-269 Parameters
| Parameters | Description |
|---|---|
details |
In case of errors, details are published with the error string |
status |
See Migration Status Codes |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Can be self and/or Job Status. If set to Job Status, you can use the href to get the status of the import operation
|
data |
Parameters as key value pairs passed in the request |
Example of Response Body
The following shows an example of the response body in JSON format.
{
"details": null,
"status": 0,
"links": [
{
"href": "https://<BASE-URL>/interop/rest/v1/services/dataaccess",
"action": "PUT",
"rel": "self",
"data": null
}
]
}
Sample cURL Command
curl -s -u <USERNAME>:<PASSWORD> -H 'Content-Type: application/json' --request PUT 'http://<BASE-URL>/interop/rest/v1/services/dataaccess?accessType=allow '